Skip to main content

Delete a context password

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/context-passwords/:extId

Since: 2.73.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the context password credential with the given external ID, belonging to the specified user and client.

Supports self-admin mode with JWT token validation, allowing a user to delete their own context password credential. When operating in self-admin mode, a valid JWT token must be provided in the request.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the context password credential.

    Example: cred-123

Responses

Context password deleted successfully

Loading...